name: CI
on:
  - pull_request
  - push

jobs:
  test:
    runs-on: ubuntu-latest
    steps:
      - name: Install qemu-utils
        run: |
          sudo apt-get update
          sudo apt-get install qemu-utils

      - uses: actions/checkout@v3

      - name: Build image
        run: |
          sudo ./alpine-make-vm-image \
              --image-format qcow2 \
              --image-size 2G \
              --repositories-file example/repositories \
              --packages "$(cat example/packages)" \
              --fs-skel-dir example/rootfs \
              --fs-skel-chown root:root \
              --script-chroot \
              alpine-$(date +%Y-%m-%d).qcow2 -- ./example/configure.sh
